Get stock list for a list of products and locations
Get product stock for one or several products. The result can be limited to only specific stores and warehouses.
Usage:
productUids OR productSkus is required. An error is returned if both fields are present in request.
storeUids OR warehouseUids is required. An error is returned if both fields are present in request.
Returns stock records for all warehouses in request or all warehouses for all stores in request.
post/tenants/{tenantUid}/products/stock
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
Body
productUidsstring[] · min: 1Optional
productSkusstring[] · min: 1Optional
storeUidsstring[] · min: 1Optional
warehouseUidsstring[] · min: 1Optional
Responses
200Success
application/json
post/tenants/{tenantUid}/products/stock
POST /v2/tenants/{tenantUid}/products/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93
{
"productUids": [
"text"
],
"productSkus": [
"text"
],
"storeUids": [
"text"
],
"warehouseUids": [
"text"
]
}200Success
{
"items": [
{
"productUid": "text",
"productName": "text",
"productSku": "text",
"totalQuantityReserved": 1,
"totalQuantityStock": 1,
"warehouseStockDetails": [
{
"locationLabel": "text",
"maxStockLevel": 1,
"minStockLevel": 1,
"quantityReserved": 1,
"quantityStock": 1,
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text"
}
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

